﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartColumnSeriesBinderCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public AddSeriesCommand AddSeriesCommand { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            AddSeriesCommand = new AddSeriesCommand();
            Data = new ObservableCollection<SampleData>();

            Data.Add(new SampleData("Series 1"));                
        }
    }

    public class SampleData
    {
        public IEnumerable Data { get; set; }
        public string ValuePath { get; set; }
        public string Title { get; set; }

        public SampleData(string title)
        {
            Data = new SubData();
            ValuePath = "Value";
            Title = title;
        }
    }

    public class SubData : ObservableCollection<SubDataItem>
    {
        Random rand = new Random();
        
        public SubData(){
            for (int i = 0; i < 10; i++)
            {
                this.Add(new SubDataItem()
                {
                    Label = "Label " + (i + 1).ToString(),
                    Value = rand.Next(1, 10)
                });
            }
        }
    }

    public class SubDataItem
    {
        public string Label { get; set; }
        public int Value { get; set; }
    }
}
